VkPipelineDepthStencilStateCreateInfo Struct Reference

`#include <vulkan.h>`

Collaboration diagram for VkPipelineDepthStencilStateCreateInfo:
[legend]

## Data Fields

VkStructureType | sType
const void * | pNext
VkPipelineDepthStencilStateCreateFlags | flags
VkBool32 | depthTestEnable
VkBool32 | depthWriteEnable
VkCompareOp | depthCompareOp
VkBool32 | depthBoundsTestEnable
VkBool32 | stencilTestEnable
VkStencilOpState | front
VkStencilOpState | back
float | minDepthBounds
float | maxDepthBounds

## Detailed Description

Definition at line 2052 of file vulkan.h.

## Field Documentation

## back

VkStencilOpState VkPipelineDepthStencilStateCreateInfo::back

Definition at line 2062 of file vulkan.h.

## depthBoundsTestEnable

VkBool32 VkPipelineDepthStencilStateCreateInfo::depthBoundsTestEnable

Definition at line 2059 of file vulkan.h.

## depthCompareOp

VkCompareOp VkPipelineDepthStencilStateCreateInfo::depthCompareOp

Definition at line 2058 of file vulkan.h.

## depthTestEnable

VkBool32 VkPipelineDepthStencilStateCreateInfo::depthTestEnable

Definition at line 2056 of file vulkan.h.

## depthWriteEnable

VkBool32 VkPipelineDepthStencilStateCreateInfo::depthWriteEnable

Definition at line 2057 of file vulkan.h.

## flags

VkPipelineDepthStencilStateCreateFlags VkPipelineDepthStencilStateCreateInfo::flags

Definition at line 2055 of file vulkan.h.

## front

VkStencilOpState VkPipelineDepthStencilStateCreateInfo::front

Definition at line 2061 of file vulkan.h.

## maxDepthBounds

float VkPipelineDepthStencilStateCreateInfo::maxDepthBounds

Definition at line 2064 of file vulkan.h.

## minDepthBounds

float VkPipelineDepthStencilStateCreateInfo::minDepthBounds

Definition at line 2063 of file vulkan.h.

## pNext

const void* VkPipelineDepthStencilStateCreateInfo::pNext

Definition at line 2054 of file vulkan.h.

## stencilTestEnable

VkBool32 VkPipelineDepthStencilStateCreateInfo::stencilTestEnable

Definition at line 2060 of file vulkan.h.

## sType

VkStructureType VkPipelineDepthStencilStateCreateInfo::sType

Definition at line 2053 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h